# Header
And More

## org.jfree.chart.labels
Class StandardCrosshairLabelGenerator

    java.lang.Object
      org.jfree.chart.labels.StandardCrosshairLabelGenerator

All Implemented Interfaces:
  java.io.Serializable, CrosshairLabelGenerator

    public class StandardCrosshairLabelGenerator

extends java.lang.Object
implements CrosshairLabelGenerator, java.io.Serializable

A default label generator.

Since:
  1.0.13
See Also:
  Serialized Form

Constructor Summary
`StandardCrosshairLabelGenerator()` Creates a new instance with default attributes.
`StandardCrosshairLabelGenerator(java.lang.String labelTemplate, java.text.NumberFormat numberFormat)` Creates a new instance with the specified attributes.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this generator for equality with an arbitrary object.
`java.lang.String` `generateLabel(Crosshair crosshair)` Returns a string that can be used as the label for a crosshair.
`java.lang.String` `getLabelTemplate()` Returns the label template string.
`java.text.NumberFormat` `getNumberFormat()` Returns the number formatter.
`int` `hashCode()` Returns a hash code for this instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardCrosshairLabelGenerator

    public StandardCrosshairLabelGenerator()

  Creates a new instance with default attributes.

### StandardCrosshairLabelGenerator

    public StandardCrosshairLabelGenerator(java.lang.String labelTemplate,
                                           java.text.NumberFormat numberFormat)

  Creates a new instance with the specified attributes.

  Parameters:
    `labelTemplate` - the label template (`null` not permitted).
    `numberFormat` - the number formatter (`null` not permitted).

Method Detail

### getLabelTemplate

    public java.lang.String getLabelTemplate()

  Returns the label template string.

  Returns:
    The label template string (never `null`).

### getNumberFormat

    public java.text.NumberFormat getNumberFormat()

  Returns the number formatter.

  Returns:
    The formatter (never `null`).

### generateLabel

    public java.lang.String generateLabel(Crosshair crosshair)

  Returns a string that can be used as the label for a crosshair.

  Specified by:
    `generateLabel` in interface `CrosshairLabelGenerator`
  Parameters:
    `crosshair` - the crosshair (`null` not permitted).
  Returns:
    The label (possibly `null`).

### equals

    public boolean equals(java.lang.Object obj)

  Tests this generator for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code for this instance.

# Footer
And More

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.